
package de.ivu.elect.presentation.geodata.menu;

import java.util.Arrays;
import java.util.List;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.geodata.GeodataOrtCreateView;
import de.ivu.elect.presentation.geodata.GeodataOrtSearchView;
import de.ivu.elect.presentation.geodata.exchange.GeodataOrtExportView;
import de.ivu.elect.presentation.geodata.exchange.GeodataOrtImportBestaetigenView;
import de.ivu.elect.presentation.geodata.exchange.GeodataOrtImportFormatFestlegenView;
import de.ivu.elect.presentation.geodata.exchange.GeodataOrtImportSearchView;

public class GeodataOrtMenuItemEntry extends AbstractGeodataOrtMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public GeodataOrtMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEODATA_ORT_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return GeodataOrtSearchView.VIEW_ID;
  }

  @Override
  protected List<String> getAdditionalTopicViewIds() {
    return Arrays.asList(GeodataOrtCreateView.VIEW_ID, GeodataOrtImportSearchView.VIEW_ID,
        GeodataOrtImportFormatFestlegenView.VIEW_ID, GeodataOrtImportBestaetigenView.VIEW_ID,
        GeodataOrtExportView.VIEW_ID);
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconOrt();
  }
}
